using UnityEngine;

[CreateAssetMenu(fileName = "RocketDataScript", menuName = "Scriptable Objects/RocketDataScript")]
public class RocketDataScript : ScriptableObject
{
    [SerializeField] private float fuel = 10;
    [SerializeField] private float force = 1;
    [SerializeField] private float mass;
    [SerializeField] private float thrust;
    [SerializeField] private float thrustLever;

    public float thrustLeverStep = 0.5f;

    public float Fuel => fuel;
    public float Force => force;
    public float Mass => mass;
    public float Thrust => thrust;
    public float ThrustLever => thrustLever;

    public void AddFuel(float value)
    {
        fuel += value;
    }

    public void SetFuel(float value)
    {
        fuel = value;
    }

    public void SetMass(float value)
    {
        mass = value;
    }

    public void SetThrust(float value)
    {
        thrust = value;
    }

    public void SetThrustLever(float value)
    {
        thrustLever = value;
    }
}
